import "../../styles/globals.css";
import "../../styles/components.css";

import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";

import { ExpressionCard } from "./ExpressionCard";

export default {
  title: "Components/Expression Card",
  component: ExpressionCard,
} as ComponentMeta<typeof ExpressionCard>;

const Template: ComponentStory<typeof ExpressionCard> = (args) => (
  <ExpressionCard {...args} />
);

export const Hidden = Template.bind({});
Hidden.args = {
  categories: ["category_A", "category_B"],
  description: "Description of this noun",
  prompt: "The noun",
  show_description: false,
};

export const Revealed = Template.bind({});
Revealed.args = {
  categories: ["category_A", "category_B"],
  description: "Description of this noun",
  prompt: "The noun",
  show_description: true,
};
