import "../../styles/globals.css";
import "../../styles/components.css";

import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";

import { NavigationItem } from "./NavigationItem";
import { AppPath } from "../../model/routing";
import { WithRouting } from "../WithRouting";

export default {
  title: "Components/Navigation Item",
  component: NavigationItem,
} as ComponentMeta<typeof NavigationItem>;

const Template: ComponentStory<typeof NavigationItem> = (args) => (
  <WithRouting>
    <NavigationItem {...args} />
  </WithRouting>
);

export const TextItem = Template.bind({});
TextItem.story = {
  args: {
    text: "Home",
    page: AppPath.Home,
  },
};

export const IconItem = Template.bind({});
IconItem.args = {
  iconUrl: "/icons/home.svg",
  page: AppPath.Home,
};

export const TextAndIconItem = Template.bind({});
TextAndIconItem.args = {
  text: "Home",
  iconUrl: "/icons/home.svg",
  page: AppPath.Home,
};

export const InactiveItem = Template.bind({});
InactiveItem.args = {
  text: "Inactive",
  iconUrl: "/icons/home.svg",
  page: AppPath.Settings,
};
