import { useLiveQuery } from "dexie-react-hooks";
import { database } from "../model";

export function useExpressionCategories(expression_id: number) {
  return useLiveQuery(() => {
    return database.expression_to_category
      .where({ expression_id })
      .toArray()
      .then((relationships) => {
        const category_ids = relationships.map((item) => item.category_id);
        return database.categories.where("id").anyOf(category_ids).toArray();
      });
  }, [expression_id]);
}
