import { useExpressionSets } from "../../hooks";
import { ErrorView } from "../ErrorView";
import { ExpressionSetLink } from "./ExpressionSetLink";

export function ExpressionSetListView() {
  const expression_sets = useExpressionSets();
  if (!expression_sets) return null; // LOADING
  if (!expression_sets.length) {
    return <ErrorView message="No expression sets found" />;
  }

  return (
    <div className="page-with-padding content-list scroll">
      {expression_sets.map(({ id, name, description }) => (
        <ExpressionSetLink
          key={id}
          id={id}
          name={name}
          description={description}
        />
      ))}
    </div>
  );
}
